commit:     09be558617aa84cf5b146a95c22d4584ff824f5a
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 09:32:30 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun May 31 09:32:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09be5586

net-analyzer/graphite-web-1.1.7: version bump with support for Django 3

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 net-analyzer/graphite-web/Manifest                 |  1 +
 ...hs.patch => graphite-web-1.1.7-fhs-paths.patch} |  8 +-
 .../graphite-web/graphite-web-1.1.7.ebuild         | 96 ++++++++++++++++++++++
 3 files changed, 101 insertions(+), 4 deletions(-)

diff --git a/net-analyzer/graphite-web/Manifest 
b/net-analyzer/graphite-web/Manifest
index b2a84682aab..7a5d3aca5d0 100644
--- a/net-analyzer/graphite-web/Manifest
+++ b/net-analyzer/graphite-web/Manifest
@@ -1 +1,2 @@
 DIST graphite-web-1.1.5.tar.gz 1173809 BLAKE2B 
94a1b4deab3159d3bde2d3c8b6f9664f39942cb1b815ce042b196be3c0e769ee1acac4b619135e9471360849308b90e02e1df4f7d6b7d0ef31e46d38ee2425e5
 SHA512 
b2097609ca77a40e6e7d83a3141335e2208d69e7f4edbac8ce3505ed9dd654589836a3b3498bfb7f7585332bceeb8e367f0c10f3cf6afdb5ad6b96377338a7bb
+DIST graphite-web-1.1.7.tar.gz 1173818 BLAKE2B 
e2373360897c1447d60cbf84e5d0dd280130730f617ba12cf0195ed2539f55bcfe8a1cb3b6b9e4f9540a6f08ecb7870072aa61447012baa5553878ebf417937f
 SHA512 
eb0a1de35d3535bd1fdc4e6edc6fe50fd6c8789fef4807eb4cd30d6b20e91e09d21daedb80f55339a8c05325db8fe1038e7a461bf155e41555dee60160d5b241

diff --git a/net-analyzer/graphite-web/files/graphite-web-1.1.3-fhs-paths.patch 
b/net-analyzer/graphite-web/files/graphite-web-1.1.7-fhs-paths.patch
similarity index 92%
rename from net-analyzer/graphite-web/files/graphite-web-1.1.3-fhs-paths.patch
rename to net-analyzer/graphite-web/files/graphite-web-1.1.7-fhs-paths.patch
index aa6ea74ff93..6550f083039 100644
--- a/net-analyzer/graphite-web/files/graphite-web-1.1.3-fhs-paths.patch
+++ b/net-analyzer/graphite-web/files/graphite-web-1.1.7-fhs-paths.patch
@@ -10,17 +10,17 @@ Install FHS-style paths
  from graphite.wsgi import application
 --- a/setup.py
 +++ b/setup.py
-@@ -59,8 +59,8 @@
+@@ -115,8 +115,8 @@
        ],
        package_data={'graphite' :
          ['templates/*', 'local_settings.py.example']},
 -      scripts=glob('bin/*'),
-+      scripts=['bin/graphite-web-build-index'],
 -      data_files=list(webapp_content.items()) + storage_dirs + conf_files + 
examples,
++      scripts=['bin/graphite-web-build-index'],
 +      data_files=list(webapp_content.items()),
-       install_requires=['Django>=1.8,<1.11.99', 'django-tagging==0.4.3', 
'pytz', 'pyparsing', 'cairocffi', 'urllib3', 'scandir', 'six'],
+       install_requires=['Django>=1.8,<3.1', 'django-tagging==0.4.3', 'pytz',
+                         'pyparsing', 'cairocffi', 'urllib3', 'scandir', 
'six'],
        classifiers=[
-           'Intended Audience :: Developers',
 --- a/webapp/graphite/local_settings.py.example
 +++ b/webapp/graphite/local_settings.py.example
 @@ -101,6 +101,7 @@

diff --git a/net-analyzer/graphite-web/graphite-web-1.1.7.ebuild 
b/net-analyzer/graphite-web/graphite-web-1.1.7.ebuild
new file mode 100644
index 00000000000..74a4e43dac9
--- /dev/null
+++ b/net-analyzer/graphite-web/graphite-web-1.1.7.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )  # 3.8 dropped due to dep on python-memcached
+       # 1.1.7 supports up to 3.9, so it's a matter of deps
+
+inherit distutils-r1 prefix
+
+DESCRIPTION="Enterprise scalable realtime graphing"
+HOMEPAGE="https://graphiteapp.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+carbon ldap mysql memcached postgres +sqlite"
+
+DEPEND=""
+RDEPEND="
+       carbon? ( dev-python/carbon[${PYTHON_USEDEP}] )
+       ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+       memcached? ( dev-python/python-memcached[${PYTHON_USEDEP}] )
+       mysql? ( dev-python/mysqlclient[${PYTHON_USEDEP}] )
+       postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+       >=dev-python/django-1.11.19[sqlite?,${PYTHON_USEDEP}]
+       >=dev-python/django-tagging-0.4.6[${PYTHON_USEDEP}]
+       dev-python/cairocffi[${PYTHON_USEDEP}]
+       dev-python/pyparsing[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+       media-libs/fontconfig
+"
+
+PATCHES=(
+       # Do not install the configuration and data files. We install them
+       # somewhere sensible by hand.
+       "${FILESDIR}"/${PN}-1.1.7-fhs-paths.patch
+)
+
+python_prepare_all() {
+       # Use a less common name
+       mv bin/build-index bin/${PN}-build-index || die
+       # use FHS-style paths
+       export GRAPHITE_NO_PREFIX=yes
+       distutils-r1_python_prepare_all
+       eprefixify \
+               conf/graphite.wsgi.example \
+               webapp/graphite/local_settings.py.example
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       keepdir /var/{lib,log}/${PN}
+       docinto examples
+       docompress -x "/usr/share/doc/${PF}/examples"
+       dodoc \
+               examples/example-graphite-vhost.conf \
+               conf/dashboard.conf.example \
+               conf/graphite.wsgi.example
+}
+
+python_install() {
+       distutils-r1_python_install \
+               --install-data="${EPREFIX}"/usr/share/${PN}
+
+       insinto /etc/${PN}
+       newins webapp/graphite/local_settings.py.example local_settings.py
+       pushd "${D}/$(python_get_sitedir)"/graphite > /dev/null || die
+       ln -s ../../../../../etc/${PN}/local_settings.py local_settings.py || 
die
+       popd > /dev/null || die
+
+       python_optimize
+}
+
+pkg_config() {
+       "${EROOT}"/usr/bin/django-admin.py migrate \
+               --settings=graphite.settings --run-syncdb
+       "${EROOT}"/usr/bin/${PN}-build-index
+}
+
+pkg_postinst() {
+       # Only display this for new installs
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "You need to configure ${PN} to run with a WSGI server of 
your choice."
+               elog "For example using Apache, you can use 
www-apache/mod_wsgi,"
+               elog "            using Nginx, you can use www-servers/uwsgi."
+               elog "Don't forget to edit local_settings.py in 
${EPREFIX}/etc/${PN}"
+               elog "See 
https://graphite.readthedocs.org/en/latest/config-local-settings.html";
+               elog "Run emerge --config =${PN}-${PVR} if this is a fresh 
install."
+               elog ""
+               elog "If you want to update the search index regularily, you 
should consider running"
+               elog "the '${PN}-build-index' script in a crontab."
+       fi
+}

Reply via email to